Subject: Re: limit for # of items created with "new" ?
From: "Hans Horn" <[email-masked]>
To: [email-masked]
Date: Tue, 24 Sep 2002 15:30:41 -0700

Ooops,

I just realized that the number of objects I've allocated is about
1,600,000, NOT 160,000!
But still, each object (nodes of a singly linked list) weighs only 8 byte.

H.

"Hans Horn" <[email-masked]> wrote in message
news:[email-masked]...
> List,
>
> I am experiencing a problem when I need to allocate a large number of
small
> objects with new. (cygwin 1.3.12.4, gcc 3.2). Up to about 160 000 objects
> I'm doing fine, but above the process receives a sigterm and croaks.
>
> On occasion, even the entire bash shell becomes corrupt and needs to be
shut
> down.
> When this happens, the bash shell complains :
>
> *** mount version mismatch detected - 0xA820/0x1B.
> You have multiple copies of cygwin1.dll on your system.
> Search for cygwin1.dll using the Windows Start->Find/Search facility
> and delete all but the most recent version.  The most recent version
> *should*
> reside in x:\cygwin\bin, where 'x' is the drive on which you have
> installed the cygwin distribution.
>
> Is there a maximum numbers of "new-allocatable" objects? If yes, is this
> number configurable?
>
> thx a lot,
> Hans
>
> P.s. Btw, I'm running Win2k with 512 MByte memory. When I watch the
process
> die in task manager, the total memory load is at about 450 MByte.
>
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/